Package tasks.task1.code

# Class Student

java.lang.Object
tasks.task1.code.Student

public class Student extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `private byte`
  `classRollNumber`
  `private byte`
  `currentYear`
  `private String`
  `firstName`
  `private String`
  `lastName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Student(byte classRollNumber, String firstName, String lastName, byte currentYear)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object o)`
  `byte`
  `getClassRollNumber()`
  `byte`
  `getCurrentYear()`
  `String`
  `getFirstName()`
  `String`
  `getLastName()`
  `int`
  `hashCode()`
  `void`
  `setClassRollNumber(byte classRollNumber)`
  `void`
  `setCurrentYear(byte currentYear)`
  `void`
  `setFirstName(String firstName)`
  `void`
  `setLastName(String lastName)`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### classRollNumber

    private byte classRollNumber

  - ### firstName

    private String firstName

  - ### lastName

    private String lastName

  - ### currentYear

    private byte currentYear

- ## Constructor Details

  - ### Student

    public Student(byte classRollNumber, String firstName, String lastName, byte currentYear)

- ## Method Details

  - ### getClassRollNumber

    public byte getClassRollNumber()

  - ### setClassRollNumber

    public void setClassRollNumber(byte classRollNumber)

  - ### getFirstName

    public String getFirstName()

  - ### setFirstName

    public void setFirstName(String firstName)

  - ### getLastName

    public String getLastName()

  - ### setLastName

    public void setLastName(String lastName)

  - ### getCurrentYear

    public byte getCurrentYear()

  - ### setCurrentYear

    public void setCurrentYear(byte currentYear)

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`